<div class="viewHeader">
    <h2>Location Overview</h2>

    <span class="InlineBlock">
        <mat-form-field>
            <mat-select placeholder="Select Location" [(ngModel)]="selectedLocation">
                <mat-option *ngFor="let l of locations" [value]="l">
                    {{ l.name }}
                </mat-option>
            </mat-select>
        </mat-form-field>


        <mat-spinner class="InlineBlock Spinner"
             *ngIf="!assetsLoaded || !locationsLoaded"
             [color]="primary"
             [diameter]="25">
        </mat-spinner>
    </span>


    <span class="FloatRight MarginRight25">

        <button mat-icon-button (click)="onClickEditLocation()" color="accent" class="IconButton">
            <i class="fas fa-edit fa-2x"></i>
        </button>

        <button mat-icon-button (click)="onClickAddLocation()" color="accent" class="IconButton">
            <i class="fas fa-plus-circle fa-2x"></i>
        </button>

    </span>
</div>



<div class="FlexContainer">

    <mat-card>
        <mat-card-title>Location Info</mat-card-title>

        <div style="display: flex">
        <mat-card-content>
            <span>
                <span class="CardLabel">Phone</span><br /><span class="CardTextBold">{{selectedLocation.phone}}</span>
            </span>
            <br />
            <span>
                <span class="CardLabel">Address</span><br /><span class="CardTextBold">{{selectedLocation.address}}</span>
            </span>
            <br />
            <span>
                <span class="CardLabel">OMNI Location</span><br /><span class="CardTextBold">{{selectedLocation.omniLocation}}</span>
            </span>
       
        </mat-card-content>
        </div>
    </mat-card>

    <mat-card class="InternetCard">
        <mat-card-title>Internet</mat-card-title>

        <mat-card-content class="InlineFlex">

        <div class="InternetInfo">
            <span class="CardLabel">Public IP</span><br />
            <span class="CardTextBold">{{selectedLocation.external}}</span><br />


            <span class="CardLabel">ISP</span><br />
            <span class="CardTextBold NoBottomMargin">{{selectedLocation.internetProviderName}}</span><br />
            <span class="CardTextBold">{{selectedLocation.internetProviderPhone}}</span>
        </div>



        <div>
     <!--       <div class="TextAlignCenter">
                <span id="downloadGauge" style="height: 100px"></span><br />
                <span>Download Speed</span>
            </div>
            <div class="TextAlignCenter">
                <span id="uploadGauge" style="height: 100px"></span><br/>
                <label>Upload Speed</label>
            </div>-->


            <ngx-gauge *ngIf="selectedLocation.downSpeed"
                    [type]="gaugeType"
                    [value]="selectedLocation.downSpeed"
                    [label]="downGaugeLabel"
                    [append]="gaugeAppendText"
                    [foregroundColor]="foreground"
                    [thick]="20"
                    class="UploadGauge">
            </ngx-gauge>

            <ngx-gauge *ngIf="selectedLocation.upSpeed"
                    [type]="gaugeType"
                    [value]="selectedLocation.upSpeed"
                    [label]="upGaugeLabel"
                    [append]="gaugeAppendText"
                    class="UploadGauge"
                    [foregroundColor]="foreground"
                    [thick]="20">
            </ngx-gauge>

            <!--Placeholders until location loads-->
            <ngx-gauge *ngIf="!selectedLocation.downSpeed"
                       [type]="gaugeType"
                       [value]="0"
                       [label]="downGaugeLabel"
                       [append]="gaugeAppendText"
                       [foregroundColor]="foreground"
                       [thick]="20"
                       class="UploadGauge">
            </ngx-gauge>

            <ngx-gauge *ngIf="!selectedLocation.upSpeed"
                       [type]="gaugeType"
                       [value]="0"
                       [label]="upGaugeLabel"
                       [append]="gaugeAppendText"
                       class="UploadGauge"
                       [foregroundColor]="foreground"
                       [thick]="20">
            </ngx-gauge>
        </div>

        </mat-card-content>
    </mat-card>


    <mat-card>
        <mat-card-title>Services</mat-card-title>
        <mat-card-content>
            <!--Static IP-->
            <span *ngIf="selectedLocation.hasStatic == true" ><i class="fas fa-check fa-2x Checkmark"></i></span>
            <span *ngIf="selectedLocation.hasStatic == false"><i class="fas fa-times fa-2x RedX"></i></span>
            <span class="CardTextBold">Static IP</span><br />

            <!--RingCentral-->
            <span *ngIf="selectedLocation.hasRingCentral == true" ><i class="fas fa-check fa-2x Checkmark"></i></span>
            <span *ngIf="selectedLocation.hasRingCentral == false"><i class="fas fa-times fa-2x RedX"></i></span>
            <span class="CardTextBold">RingCentral</span><br />

            <!--Retail Radio-->
            <span *ngIf="selectedLocation.hasRetailRadio == true" ><i class="fas fa-check fa-2x Checkmark"></i></span>
            <span *ngIf="selectedLocation.hasRetailRadio == false"><i class="fas fa-times fa-2x RedX"></i></span>
            <span class="CardTextBold">Retail Radio</span>
        </mat-card-content>
    </mat-card>

    <mat-card class="PrinterCard">
        <mat-card-title>Printer</mat-card-title>
        <mat-card-content class="InlineFlex">
            <span class="PrinterSection" *ngFor="let p of allPrinters | byLocation:selectedLocation">
                <span class="CardLabel">Asset Number</span><br /><span class="CardTextBold">{{p.assetNum}}</span><br />
                <span class="CardLabel">Make/Model</span><br /><span class="CardTextBold">{{p.make + " " + p.model}}</span><br />
                <span class="CardLabel">IP Address</span><br /><span class="CardTextBold">{{p.ipAddress}}</span>
            </span>
        </mat-card-content>
    </mat-card>
</div>



<!--<mat-card>
    <mat-card-title>Computers</mat-card-title>
    <mat-card-content>
        <app-computers [computers]="allComputers | byLocation:selectedLocation" [showLocation]="false"></app-computers>
    </mat-card-content>
</mat-card>-->
<mat-card>
    <mat-card-title>Assets

<!--        <span class="FloatRight MarginRight25">

            <button mat-icon-button (click)="onClickEditAsset()" color="accent" [disabled]="!selectedAsset">
                <i class="fas fa-edit fa-2x"></i>
            </button>

            <button mat-icon-button (click)="onClickAddAsset()" color="accent" >
                <i class="fas fa-plus-circle fa-2x"></i>
            </button>

            <button mat-icon-button (click)="onClickDeleteAsset()" color="accent" [disabled]="!selectedAsset">
                <i class="fas fa-trash fa-2x"></i>
            </button>

        </span>-->

    </mat-card-title>


   <!-- <br />-->
    <mat-expansion-panel>
        <mat-expansion-panel-header>Computers</mat-expansion-panel-header>
        <!--<app-computers [computers]="allComputers | byLocation:selectedLocation" [showLocation]="false"></app-computers>-->
        <app-asset-table [showLocation]="false" [assets]="allComputers | byLocation:selectedLocation" [columns]="computerColumns" (selectRowEvent)="onRowSelect($event)" [selectable]="false"></app-asset-table>
    </mat-expansion-panel>

    <mat-expansion-panel>
        <mat-expansion-panel-header>MPOS Devices</mat-expansion-panel-header>
        <app-asset-table [showLocation]="false" [assets]="allMpos | byLocation:selectedLocation" [columns]="mposColumns" (selectRowEvent)="onRowSelect($event)" [selectable]="false"></app-asset-table>
    </mat-expansion-panel>

    <mat-expansion-panel>
        <mat-expansion-panel-header>Network Devices</mat-expansion-panel-header>
        <app-asset-table [showLocation]="false" [assets]="allNetworkDevices | byLocation:selectedLocation" [columns]="networkDeviceColumns" (selectRowEvent)="onRowSelect($event)" [selectable]="false"></app-asset-table>
    </mat-expansion-panel>

    <mat-expansion-panel>
        <mat-expansion-panel-header>Payment Devices</mat-expansion-panel-header>
        <app-asset-table [showLocation]="false" [assets]="allPaymentDevices | byLocation:selectedLocation" [columns]="paymentDeviceColumns" (selectRowEvent)="onRowSelect($event)" [selectable]="false"></app-asset-table>
    </mat-expansion-panel>

</mat-card>



